#/usr/bin/env python
import pygame
from pygame.locals import *

class hud():
    '''
    hud class for Get Out
    '''
    def __init__(self, score, life, ammo, keys, totalKeys):
        self.gamefont = pygame.font.SysFont(None, 48)
        self.totalKeys = totalKeys
        self.updateScore(score)
        self.updateLife(life)
        self.updateAmmo(ammo)
        self.updateKeys(keys)
    
    def updateScore(self,score):
        self.score = (self.gamefont.render("Score: " + str(score),
                                     False,
                                     (125,125,125)))
    
    def updateLife(self,life):
        self.life = (self.gamefont.render("Life: " + str(life),
                                     False,(255,30,30)))
    
    def updateAmmo(self,ammo):
        self.ammo = (self.gamefont.render("Ammo: " + str(ammo),
                                     False,(255,255,50)))
    
    def updateKeys(self,keys):
        self.keys = (self.gamefont.render("Keys: " + str(keys)+" / "+str(self.totalKeys),
                                     False, (125,125,125)))
    
    def render(self, screen):
        screen.blit(self.score,(10,10))
        screen.blit(self.life, (screen.get_width()-self.life.get_width()-10,10))
        screen.blit(self.ammo, (screen.get_width()-self.ammo.get_width()-10,75))
        screen.blit(self.keys, (10, 75))
