#!/usr/bin/env python
''' tileset.py
    Loads tiles from a tileset and provides some easy access methods
'''

import pygame
from pygame.locals import *

class tileset():
    ''' loads tiles from a tileset file and provides access methods '''
    def __init__(self, filename="sprites/DungeonCrawl_ProjectUtumnoTileset.png", tsize=32):
        self.tileset = pygame.image.load(filename)  # loads tileset to a surface
        self.tsize = tsize                          # size of each tile
        self.cols = self.tileset.get_width() / self.tsize
        self.rows = self.tileset.get_height() / self.tsize
        
    def getTile(self, tnum):
        ''' gets a tile by single number '''
        x = tnum % self.cols
        y = (tnum - x) / self.rows
        tile_loc = (x * 32, y * 32)
        tile_dim = (self.tsize, self.tsize)
        tile_Rect = pygame.Rect(tile_loc,tile_dim)
        print tnum
        print tile_Rect
        return self.tileset.subsurface(tile_Rect)
    
    def getXY(self, xy):
        ''' gets a tile based on xy coordinate '''
        tile_Rect = pygame.Rect(xy[0]*32,xy[1]*32,self.tsize,self.tsize)
        return self.tileset.subsurface(tile_Rect)
